# FoundationClasses
TKernel
Message

# Message_SequenceNodeOfSequenceOfPrinters Class Reference

`#include <Message_SequenceNodeOfSequenceOfPrinters.hxx>`

Inheritance diagram for Message_SequenceNodeOfSequenceOfPrinters:

[legend]

## Public Member Functions

| Message_SequenceNodeOfSequenceOfPrinters (const Handle(Message_Printer)&I, const TCollection_SeqNodePtr &n, const TCollection_SeqNodePtr &p)
Handle_Message_Printer & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Message_Printer | myValue

## Constructor & Destructor Documentation

Message_SequenceNodeOfSequenceOfPrinters::Message_SequenceNodeOfSequenceOfPrinters | ( | const Handle(Message_Printer)& | I,
|  | const TCollection_SeqNodePtr & | n,
|  | const TCollection_SeqNodePtr & | p
| ) |

## Member Function Documentation

Standard_EXPORT const Message_SequenceNodeOfSequenceOfPrinters::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TCollection_SeqNode.

Handle_Message_Printer& Message_SequenceNodeOfSequenceOfPrinters::Value | ( |  | ) | const

## Field Documentation

Handle_Message_Printer Message_SequenceNodeOfSequenceOfPrinters::myValue `[private]`

The documentation for this class was generated from the following file:

- Message_SequenceNodeOfSequenceOfPrinters.hxx